package main

import "fmt"
import "strconv"
import "reflect"

func pint64(a string) int64 {
	i, err := strconv.ParseInt(a, 10, 64) // use base 10 for sanity

	if err != nil {
		fmt.Println(err)
		return 0
	}

	fmt.Printf("The type of sixtyFour is %v \n", reflect.TypeOf(i))
	return i
}
